# Vue 3 + Vite 微信聊天项目

这是一个基于 Vue 3 和 Vite 构建的微信风格聊天应用。

## 技术栈

- Vue 3 - 渐进式 JavaScript 框架
- Vite - 下一代前端构建工具
- Vue Router - 官方路由管理器
- Pinia - Vue 的官方状态管理库
- TypeScript - JavaScript 的超集
- Tailwind CSS - 实用优先的 CSS 框架

## 功能特性

- 实时消息通信
- 好友列表管理
- 群聊功能
- 消息历史记录
- 文件传输
- 表情包支持

## 开始使用

### 环境要求

- Node.js 16.x 或更高版本
- npm 7.x 或更高版本 或 yarn 1.22.x 或更高版本

### 安装依赖

使用 npm:
```bash
npm install
```

使用 yarn:
```bash
yarn install
```

### 开发环境运行

使用 npm:
```bash
npm run dev
```

使用 yarn:
```bash
yarn dev
```

### 生产环境构建

使用 npm:
```bash
npm run build
```

使用 yarn:
```bash
yarn build
```

### 代码检查

使用 npm:
```bash
npm run lint
```

使用 yarn:
```bash
yarn lint
```

## 项目结构

```
src/
├── api/           # 接口函数
├── assets/        # 静态资源
├── components/    # 公共组件
├── layoyts/       # 布局组件
├── views/         # 页面组件
├── router/        # 路由配置
├── store/         # 状态管理
├── utils/         # 工具函数
└── App.vue        # 根组件
```

## 开发指南

1. 克隆项目到本地
2. 安装依赖（选择 npm 或 yarn）
3. 运行开发服务器
4. 开始开发

## 贡献指南

1. Fork 本仓库
2. 创建特性分支 (`git checkout -b feature/AmazingFeature`)
3. 提交更改 (`git commit -m 'Add some AmazingFeature'`)
4. 推送到分支 (`git push origin feature/AmazingFeature`)
5. 创建 Pull Request

## 许可证

[MIT](LICENSE)

## 联系方式

如有任何问题或建议，请通过以下方式联系我们：

- 提交 Issue
- 发送邮件至 [your-email@example.com]
